;
; AutoHotkey Version: 1.x
; Language:       English
; Platform:       Win9x/NT
; Author:         sveco  http://www.autohotkey.com/board/topic/118442-on-screen-numpad/
;
; Script Function:
;	Put a virtual numeric keypad on the screen
; September 20, 2018 Slightly modified by Jack Dunning
; Jack broke the dependence upon the state of the NumLock key. This allows users with
; a NumPad on their keyboard to use the NumPad independly of the keyboard pad
; each set to a different mode.

Gui,  +AlwaysOnTop +ToolWindow +Border +E0x08000000 +LastFound

;Uncomment next line to make window semi-transparent
; WinSet, Transparent, 128   ; Sets 50% transparent with no click-through.

Gui, Add, Button, x10  y10  w40 h40 gButton vNumLock_NumLock HwndNUMID , Num Lock off
Gui, Add, Button, x60  y10  w40 h40 gButton vNumpadDiv_NumpadDiv , /
Gui, Add, Button, x110 y10  w40 h40 gButton vNumpadMult_NumpadMult , *
Gui, Add, Button, x160 y10  w40 h40 gButton vNumpadSub, -
Gui, Add, Button, x10  y60  w40 h40 gButton vNumpadHome_Numpad7, 7 Home
Gui, Add, Button, x60  y60  w40 h40 gButton vNumpadUp_Numpad8, 8`nUp
Gui, Add, Button, x110 y60  w40 h40 gButton vNumpadPgUp_Numpad9, 9 PgUp
Gui, Add, Button, x10  y110 w40 h40 gButton vNumpadLeft_Numpad4, 4`nLeft
Gui, Add, Button, x60  y110 w40 h40 gButton vNumpadClear_Numpad5, 5
Gui, Add, Button, x110 y110 w40 h40 gButton vNumpadRight_Numpad6, 6`nRight
Gui, Add, Button, x10  y160 w40 h40 gButton vNumpadEnd_Numpad1, 1`nEnd
Gui, Add, Button, x62  y160 w40 h40 gButton vNumpadDown_Numpad2, 2 Down
Gui, Add, Button, x110 y160 w40 h40 gButton vNumpadPgDn_Numpad3, 3 PgDn
Gui, Add, Button, x10  y210 w92 h40 gButton vNumpadIns_Numpad0, 0 Ins
Gui, Add, Button, x110 y210 w40 h40 gButton vNumpadDel_NumpadDot, . Del
Gui, Add, Button, x160 y60  w40 h90 gButton vNumpadAdd_NumpadAdd, +
Gui, Add, Button, x160 y160 w40 h90 gButton vNumpadEnter_NumpadEnter c%CustomColor%, Enter

; Generated using SmartGUI Creator 4.0
Gui, Show, x1350 y87 h260 w215 NoActivate
Return

; Remove semicolon from next line to create Hotkey activation (CTRL+ALT+K) and remove GuiClose subroutine
;^!k::Gui, Show, x1350 y87 h260 w215 NoActivate

Button:
     GuiControlGet, OutputVar ,, NumLock_NumLock
     StringSplit, a, A_GuiControl, _
     if (OutputVar = "Num Lock off")
          SendInput, % "{" . a1 . "}"
     else
          SendInput, % "{" . a2 . "}"
		
     If A_GuiControl = NumLock_NumLock
          SetNumLockState()
Return

; Remove if using Hotkey
GuiClose:
  ExitApp

SetNumlockState()
{
     GuiControlGet, OutputVar ,, NumLock_NumLock
     if (OutputVar = "Num Lock on") 
          GuiControl ,, NumLock_NumLock, Num Lock off
     else
          GuiControl ,, NumLock_NumLock, Num Lock on
}


